package com.fastbee.project.mapper;



import com.fastbee.project.domain.Project;
import com.github.yulichang.base.MPJBaseMapper;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * 项目Mapper接口
 *
 * @author kerwincui
 * &#064;date  2024-10-17
 */
@Mapper
public interface ProjectMapper extends MPJBaseMapper<Project>
{
    /**
     * 查询项目
     *
     * @param projectId 项目主键
     * @return 项目
     */
    Project selectProjectById(Long projectId);

    /**
     * 查询项目列表
     *
     * @param project 项目
     * @return 项目集合
     */
    List<Project> selectProjectList(Project project);

    /**
     * 新增项目
     *
     * @param project 项目
     * @return 结果
     */
    int insertProject(Project project);

    /**
     * 修改项目
     *
     * @param project 项目
     * @return 结果
     */
    int updateProject(Project project);

    /**
     * 删除项目
     *
     * @param projectId 项目主键
     * @return 结果
     */
    int deleteProjectByProjectId(Long projectId);

    /**
     * 批量删除项目
     *
     * @param projectIds 需要删除的数据主键集合
     * @return 结果
     */
    int deleteProjectByProjectIds(Long[] projectIds);
}
